## Retrieves a list of reason codes, optionally filtered by search text.

**get** `/api/v2/public/reasoncodes`

Retrieves a list of reason codes, optionally filtered by search text.

### Query Parameters

- `code: optional string`

  Filter by reason code.

- `code_description: optional string`

  Filter by reason code description.

- `function_key: optional string`

  Filter by function key.

- `is_gain: optional boolean`

  Filter by gain-type reason codes.

- `is_loss: optional boolean`

  Filter by loss-type reason codes.

- `is_store: optional boolean`

  Filter by store-level reason codes.

### Returns

- `code: number`

- `is_comment_mandatory: boolean`

- `is_gain: boolean`

- `is_image_mandatory: boolean`

- `is_loss: boolean`

- `is_order_number_mandatory: boolean`

- `is_picking_list: boolean`

- `is_rollback_allowed: boolean`

- `is_sales_order_discsount: boolean`

- `is_store: boolean`

- `reason_code_type: number`

- `review_status: number`

- `code_description: optional string`

- `description: optional string`

- `function_key: optional string`

- `store_type: optional string`

### Example

```http
curl https://api.colleqtive.net/api/v2/public/reasoncodes \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
```

#### Response

```json
[
  {
    "code": 0,
    "is_comment_mandatory": true,
    "is_gain": true,
    "is_image_mandatory": true,
    "is_loss": true,
    "is_order_number_mandatory": true,
    "is_picking_list": true,
    "is_rollback_allowed": true,
    "is_sales_order_discsount": true,
    "is_store": true,
    "reason_code_type": 0,
    "review_status": 0,
    "code_description": "code_description",
    "description": "description",
    "function_key": "function_key",
    "store_type": "store_type"
  }
]
```
